/*$Id: $*/
/*18.01.2022	15.12.2004	Белых А.И.	iceb_tu_int.h
Класс для работы с int-массивами переменной длинны
*/

class iceb_tu_int
 {
private:
  int    optimiz;  //0-записывать в масив без оптимизации 1-с оптимизацией
  int	 kolz;    //Количество элементов массива
  int *masiv_int;  //Массив 
  
public:

  iceb_tu_int(int); //Конструктор
  iceb_tu_int(); //Конструктор
  ~iceb_tu_int();      //Деструктор

  int find(int); //Найти в какой ячейке искомое значение
  int find(char*); //Найти в какой ячейке искомое значение в символьном виде
  int find(const char*); //Найти в какой ячейке искомое значение в символьном виде

  int plus(int,int);      //Записать новый элемент и если нужно увеличить размер массива
  int new_plus(int,int);  //Записать новый элемент не просумировав его с существующим и если нужно увеличить размер массива
  int plus(const char*,int);   //Записать новый элемент в символьном виде и если нужно увеличить размер массива
  int plus(char*,int);   //Записать новый элемент в символьном виде и если нужно увеличить размер массива
  int plus(int);   //Записать в добавленный элемент массива
  int plus(char*);   //Записать в добавленный элемент массива
  int plus(const char*);   //Записать в добавленный элемент массива

  int make_class(int);     //создать массив нужного размера
  void print_class(); //вывести содержимое массива для контроля
  int ravno(int elem); //вернуть значение нужного елемента
  char *ravno_char(int elem); //вернуть значение нужного елемента в символьном виде
  int ravno_max(); //вернуть максимальное значение елемента
  int kolih(); //вернуть количество элементов массива
  void clear_class(); //Обнулить массив
  void free_class();
  int suma(); /*Получить сумму всех елементов*/
 
 
 };
